Bug 965534 - nspluginwrapper package should be built with PIE flags
nspluginwrapper package should be built with PIE flags
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: nspluginwrapper (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Martin Stransky
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-21 06:39 EDT by Dhiru Kholia
Modified: 2014-03-24 23:44 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-29 03:29:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dhiru Kholia 2013-05-21 06:39:36 EDT
Description of problem:

http://fedoraproject.org/wiki/Packaging:Guidelines#PIE says that "you MUST
enable the PIE compiler flags if your package has suid binaries...".

However, currently nspluginwrapper is not being built with PIE flags. This is a
clear violation of the packaging guidelines.

This issue (in its wider scope) is being discussed at,

https://fedorahosted.org/fesco/ticket/1104

https://lists.fedoraproject.org/pipermail/devel/2013-March/180827.html

Version-Release number of selected component (if applicable):

nspluginwrapper-1.4.4-17.fc19.x86_64.rpm

How reproducible:

You can use following programs to check if a package is hardened:

http://people.redhat.com/sgrubb/files/rpm-chksec

OR

https://github.com/kholia/checksec

Steps to Reproduce:

Get scanner.py from https://github.com/kholia/checksec

$ ./scanner.py nspluginwrapper-1.4.4-17.fc19.x86_64.rpm
nspluginwrapper,nspluginwrapper-1.4.4-17.fc19.x86_64.rpm,/usr/lib64/nspluginwrapper/npconfig,mode=0100755,NX=Enabled,CANARY=Enabled,RELRO=Partial,PIE=Disabled,RPATH=Disabled,RUNPATH=Disabled,FORTIFY=Enabled,CATEGORY=None
nspluginwrapper,nspluginwrapper-1.4.4-17.fc19.x86_64.rpm,/usr/lib64/nspluginwrapper/npplayer,mode=0100755,NX=Enabled,CANARY=Enabled,RELRO=Partial,PIE=Disabled,RPATH=Disabled,RUNPATH=Disabled,FORTIFY=Enabled,CATEGORY=network-local
nspluginwrapper,nspluginwrapper-1.4.4-17.fc19.x86_64.rpm,/usr/lib64/nspluginwrapper/npviewer.bin,mode=0100755,NX=Enabled,CANARY=Enabled,RELRO=Partial,PIE=Disabled,RPATH=Disabled,RUNPATH=Disabled,FORTIFY=Enabled,CATEGORY=network-local
nspluginwrapper,nspluginwrapper-1.4.4-17.fc19.x86_64.rpm,/usr/lib64/nspluginwrapper/plugin-config,mode=0104755,NX=Enabled,CANARY=Enabled,RELRO=Partial,PIE=Disabled,RPATH=Disabled,RUNPATH=Disabled,FORTIFY=Enabled,CATEGORY=None
Comment 1 Martin Stransky 2013-05-29 03:29:06 EDT
Added to nspluginwrapper-1.4.4-18.fc20 (the -fPIC and -z now flags). Anyway, the binaries does not contain text relocations.

Note You need to log in before you can comment on or make changes to this bug.